- V 3.8.0: <DATE: 3.12.2020>
- <NEW> Embed el -> add code highlighter
- <NEW> Design UI improvements -> multiple design enhancements
- <NEW> Flex Admin -> separate subscription and one time purchase on data sync step
- <NEW> Text el -> add Wysiwyg editor
- <NEW> Columns & Gaps -> Custom Grid alignments that you can save and use across all your flex blocks
- <NEW> Mobile Improvements
- <NEW> Height change handle for desktop & mobile blocks
- <NEW> Flex Admin -> Google Font Language Filter
- <FIX> Minor PHP, JS fixes
- <FIX> Minor performance improvements

- V 3.7.3: <DATE: 23.11.2020>
- <NEW> Predifined blocks Popup -> add SK filter
- <FIX> Sidebar -> Added auto position switch if covers element;
- <FIX> Fixed issue with the fint sizes for the Classic themes

- V 3.7.2: <DATE: 21.11.2020>
- <FIX> Add callback for pages that don't use Flex
- <FIX> Minor performance improvements

- V 3.7.1: <DATE: 18.11.2020>
- <FIX> Countdown El -> fixed multiple font picker

- V 3.7.0: <DATE: 17.11.2020>
- <NEW> Countdown element
- <FIX> Video El -> fixed popup controls behaviour
- <FIX> FloForms El -> fixed element breaking
- <FIX> Instagram browser -> fixed zoom factor
- <FIX> Removed console warnings
- <FIX> Screenshot fixes
- <FIX> Minor bug fixes
- <OTHER> Minor optimizations

- V 3.5.6: <DATE: 23.10.2020>
- <FIX> FloForms render
- <FIX> Improved Mono variations compatibility
- <FIX> Video El -> minor improvements 
- <FIX> Typography -> minor improvements 

- V 3.5.5: <DATE: 20.10.2020>
- <NEW> MONO Variations -> Add templates logic
- <NEW> FLO FORMS -> Add preview in FLEX
- <FIX> Flex import/export
- <FIX> Predifined typography
- <FIX> Minor type fixes
- <FIX> Minor styling fixes
- <FIX> DraftEditor -> fixed typography groups styling
- <FIX> CORS policy

- V 3.5.4: <DATE: 15.10.2020>
- <FIX> Flex Footer -> Fixed import option
- <FIX> Minor developers improvements 
- <FIX> Add fix for empty SK
- <FIX> Instagram & FB browsers -> fixed view (desktop/mobile)

- V 3.5.3: <DATE: 12.10.2020>
- <FIX> Group option Trigger Link -> disabled by default

- V 3.5.2: <DATE: 12.10.2020>
- <FIX> Render El -> Minor fix

- V 3.5.1: <DATE: 12.10.2020>
- <NEW> Added Animation controller
- <NEW> Elements -> Add FloForms integration;
- <FIX> Error handler for 'save' -> minor fix;
- <FIX> Apply stylekit button - when there's no previous data saved;
- <FIX> Minor code improvements

- V 3.5.0: <DATE: 01.10.2020>
- <NEW> Mobile Editor  -> Added smart guides functionality;
- <NEW> Error handler for 'save' -> localstorage backups;
- <NEW> Elements -> Embed element for 3rd party resources;
- <NEW> Preview page static button; 
- <FIX> Improved save 

- V 3.4.1: <DATE: 01.09.2020>
- <NEW> Flex Amin -> Added option to manually transform old data;
- <FIX> Fixed bug on stylekit installation

- V 3.4: <DATE: 26.08.2020>
- <FIX> Fixed bug on occurring on password protected pages
- <FIX> Flex Admin -> minor styling fix
- <FIX> Fixed play button jumping in size before page loads
- <FIX> YoastSEO integration fixes
- <NEW> Video -> Added "Play Video in a Popup" option
- <FIX> Flexthemes Stylekits -> Fixed font urls generation (non-https/https conflicts)
- <FIX> Builder -> Minor fix for gradients in Safari

- V 3.3.1: <DATE: 14.08.2020>
- <FIX> Flexthemes -> Fixed unnecessary stylekit installation for non-flexthemes (was happening on plugin activation);
- <MISC> Yoast SEO integration improvements;
- <FIX> Flexthemes -> fixed generic button typography;
- <FIX> Flexthemes -> Added error handlers for "GET" requests;

- V 3.3: <DATE: 12.08.2020>
- <FIX> Flex Stylekits -> Fix for the custom font groups ( OLD data );
- <FIX> Flex Stylekits -> Fixed stylekit permissions bug if child theme is active;
- <FIX> Fixed minor conflict with Gutenberg;
- <MISC> Improved Yoast SEO Compatibility;

- V 3.2: <DATE: 06.08.2020>
- <FIX> Block Render -> fixed multiple notices;
- <NEW> Implemented Yoast SEO integration;
- <MISC> optimization -> lazyload styles to decrease render-blocking styles amount;
- <MISC> Removed public fontello, since there was only one icon there, which now is rendered via svg;

- V 3.1.1: <DATE: 16.07.2020>
- <FIX> Custom Google Fonts url -> fixed enqueue inside the builder;
- <FIX> Builder -> Fixed draggable and resizable handles for small elements;
- <FIX> Text Linker -> Disabled https url forcing;
- <FIX> Text Color Tool -> Fixed current selection color matching;

- V 3.1: <DATE: 15.07.2020>
- <FIX> Fixed multiple typography bugs;
- <FIX> Improved parallax;
- <FIX> Static Parallax -> fixed in firefox;
- <FIX> Custom Stylekit Metabox -> fixed if used within classic editor;

- V 3.0.1: <DATE: 30.06.2020>
- <FIX> Fixed conflict with Yoast;

- V 3.0.0: <DATE: 29.06.2020>
- <NEW> Support for Mono and Stylekits;

- V 2.3.6: <DATE: 18.03.2020>
- <FIX> Video -> Implemented compatibility with latest YouTube API changes;

- V 2.3.5: <DATE: 09.03.2020>
- <FIX> SVG -> improved uploader;

- V 2.3.4: <DATE: 09.03.2020>
- <NEW> SVG Element;
- <NEW> FlexThemes -> Added Flex Footer Builder;

- V 2.3.3: <DATE: 03.03.2020>
- <FIX> Fix parallax image on mobile;
- <FIX> Fixed lines 1px not visible on bigger screens;

- V 2.3.2: <DATE: 01.03.2020>
- <FIX> Block Height Option Fix;

- V 2.3.1: <DATE: 27.02.2020>
- <FIX> Text Element -> Fixed height auto bug;
- <FIX> Mobile Block Height Option -> Fixed minor bug;

- V 2.3: <DATE: 24.02.2020>
- <FIX> Fixed parallax conflict with fade effect;
- <NEW> Page Builder Sidebar;
- <FIX> Video -> Fixed bug occurring on mobile device orientation change;
- <NEW> Text Element Mobile -> Implemented text align overrides logic;
- <FIX> Typography fix for fixed width themes (when fixed width option is enabled instead of responsive);
- <FIX> Image Element -> Fixed border-radius option;
- <FIX> Text Element -> Fixed line breaks in firefox and safari;
- <FIX> Global Block Height Mobile -> Fixed minor bug;
- <NEW> ActionBar -> Redesigned;
- <FIX> Builder Preloader -> Redesigned;
- <NEW> Video -> Fixed bug occurring for mobile synced videos;
- <NEW> Text Element Layer -> Inherits label from content until label is manually edited;
- <NEW> Layers -> If mobile element is synced, mobile element layer will inherit label from desktop element and its editing is disabled;
- <NEW> Text Editor -> Enabled spellchecking;
- <NEW> Text Editor -> Fixed special characters encoding when links are assigned to a part of the text;

- V 2.2.1: <DATE: 22.01.2020>
- Text Element -> fixed minor text spacing bug;
- Disabled HTML minifying (it was cutting off white spaces in text element contents);
- Color Picker -> fixed input not being selectable in Safari;
- ColorPicker -> Fixed color input bug (backspace key was not working);
- Global Settings -> Added "Snap" option;
- Element Controller -> If element is smaller than 50px in width or height, resizable handle clickable area will decrease to allow the element to be grabbed for dragging;

- V 2.2: <DATE: 06.01.2020>
- <NEW> Desktop Sync -> Implemented;
- <NEW> Global Block Settings -> Added Sync All option for desktop sync;
- <FIX> Video Element -> Fixed controls option for Vimeo embeds;
- <NEW> mplemented NavFlex (actions allowing to switch between Flex Blocks on a page without exiting Flex Block);
- <NEW> Implemented FlexCreator (actions allowing to create a new Flex Block above or below the currently browser Flex Block);
- <FIX> Fixed text encoding/decoding bug for special characters;

- V 2.1: <DATE: 19.12.2019>
- <OTHER> Video -> Click/Play handler minor optimization;
- <OTHER> Lazy load -> Improved and made to trigger resource loading earlier;
- <NEW> Lazy load -> Added load fade transition to lazy-loaded images;
- <NEW> Videos -> implemented lazy load;
- <OTHER> Updated render method (markup is now stored in html data attributes instead of noscript tags);
- <FIX> Render -> Fixed bug occurring when switching mobile device orientation (iPhone X);
- <OTHER> Icons CSS Files -> doing wp_enqueue_style instead of css @import (optimization);
- <FIX> fixed notice (if image does not have attachment id);
- <FIX> Fixed Gutenberg overflow bug for sites hosted on wordpress.com;
- <FIX> Fixed minor bug when adding element (active group not disabling if active);
- <OTHER> Add Element Bar -> Updated hint;
- <NEW> Draw Mode -> b - button, r - shape, i - image, t - text;

- V 2.0.2: <DATE: 03.12.2019>
- <NEW> Image & Video -> Added "Blur Intensity Option" for Overlays (available if the "Background Blur" option is enabled for the overlay);
- <FIX> Fixed z-index bug when opening flex (in Gutenberg);
- <OTHER> Images -> are now rendered as img tags (were previously rendered as divs with background images);
- <NEW> Images -> alt tags are now pulled dynamically from WP;
- <NEW> Selection Helper -> SelectionSize -> Showing entity size while resizing;
- <NEW> Element & Group Controllers -> Holding shift while dragging drags only on one axis;
- <NEW> Text Element -> Links will slightly fade when hovered;
- <NEW> Images -> added srcset;

- V 2.0.1: <DATE: 26.11.2019>
- <FIX> If user switches to a theme that is not compatible with Flex, disable Flex;
- <FIX> Fixed notice;
- <FIX> ColorPicker -> Fixed crash for themes that don't have stylekit colors;

- V 2.0.0: <DATE: 20.11.2019>
- <FIX> Self-hosted video -> rendering via "object-fit: cover" to better fill the element sizes;
- <FIX> Disabled image resizing for gif attachments (resizing was converting gif files to static jpg images);
- <FIX> Import Block Feature -> Importing block screenshot if available;
- <FIX> Disabled Parallax on Mobile (browsers do not recommend it because of performance issues);
- <FIX> Minor bug related to Image with Crop option disabled (aspect ratio correct updating);
- <FIX> fixed crash occurring when switching viewports (if MultiSelect is active);
- <FIX> fixed screenshot on save when saving in the mobile builder;

- <NEW> Groups;
- <NEW> Groups -> implemented delete group action;
- <NEW> Groups -> Group Controller;
- <NEW> Group Controller -> implemented resizing;
- <NEW> Groups -> Duplicate;
- <NEW> Groups -> Implemented group labeling;
- <NEW> Groups -> Implemented group locking (makes group non-clickable);
- <NEW> Groups -> double-clicking will activate highest-index child entity matching mouse position;

- <NEW> Theme Font and Color Styles;
- <NEW> Font Style Picker;
- <NEW> Theme Mixed Templates Logic;
- <NEW> Predefined Blocks Popup;

- <NEW> Block top and bottom margins (desktop & mobile);
- <NEW> Hide block on desktop/mobile (Miscellaneous tab);
- <NEW> Block Class & ID options;

- <NEW> MultiSelect -> Relative and Absolute Alignment (hold option/alt to switch modes);
- <NEW> Main Area Guides -> Columns and Gaps -> Added options to change column amount, width and gutter;
- <NEW> Flex Builder Will now open on double click;
- <NEW> MultiSelect delete -> adapted for groups;
- <NEW> Selection Helpers -> UI element that shows information about selected element/group (label+size);

- <OTHER> SmartBar -> Redesigned;
- <NEW> New Number Inputs;
- <NEW> New Checkboxes;
- <NEW> New Color Picker;
- <OTHER> moved notifications to the bottom right corner;
- <OTHER> Redesigned Top Area;
- <OTHER> Redesigned InLinker Component;

- <NEW> Shortcuts -> CMD+G creates group from selection;
- <NEW> Shortcuts -> CMD+SHIFT+G disbands selected group;
- <NEW> Shortcuts -> CMD makes groups unclickable;
- <NEW> Shortcuts -> SHIFT enables MultiSelect mode (allows selecting multiple elements/groups);
- <NEW> Shortcuts -> CMD+SHIFT/SHIFT+CMD enables MultiSelect and makes groups non-clickable;
- <NEW> Shortcuts -> ESC closes layers if open;

- <NEW> Layers -> Redesigned;
- <NEW> Layers -> Implemented nested sortables;
- <NEW> Layers -> Groups support;

- <NEW> Image & Video -> Implemented lazy loading and responsive images (mobile, tablet, desktop);
- <OTHER> Image & Video -> Improved resized images quality;
- <NEW> Image & Video -> Added Image "overlay" option;
- <NEW> Image & Video -> Added overlay background blur option;
- <OTHER> Image & Video -> Refactored (probably will still refactor) the image tools options group;
- <NEW> Image & Video -> Implemented "Use Original Resolution" option;

- <OTHER> Text & Button -> Multiple Improvements for text rendering;
- <FIX> Text & Button -> Default HTML tag is now paragraph (was div);
- <FIX> Text & Button -> Text Editor -> Better copy-paste support;

- V 1.4.1: <DATE: 19.06.2019>
- <NEW> Text and Button Elements - Font can now be applied on HIGHLIGHTED text instead of ALL text;
- <FIX> Button Element - fixed typography bug;
- <NEW> Duplicate now works on mobile;
- <NEW> Image Element - If crop is disabled, element will maintain aspect ratio;

- V 1.4: <DATE: 13.06.2019>
- <NEW> Image Element - enabled Parallax for mobile devices (parallax factor hardcoded to 0);
- <NEW> Export Block option - exported file will be named the same as the exported block;
- <NEW> Element Dragging - elements can now be moved out of the screen edges;
- <NEW> MultiSelect - Selected elements can be moved with the arrow keys;
- <OTHER> Element Resizing - reworked handles;
- <FIX> Image Element - Wordpress media uploader will now preselect current image;
- <FIX> Image Element - fixed issue related to smaller images not showing in the builder (below 1024px);
- <NEW> Image Element - added "Image Opacity" option;
- <NEW> Shape Element - Added Gradient Background option;
- <FIX> Duplicate Minor Fix;
- <FIX> Video element - Adjustment for self-hosted video rendering;
- <FIX> Screenshot option - fixed crash when screenshot cannot be saved for some reason (incorrect permissions);
- <OTHER> Button Element - removed warning if button hover state has no values;
- <NEW> Added "custom classes" option;
- <OTHER> Preloader - refactored;
- <FIX> MultiSelect - now works on mobile as well;
- <FIX> Element position can now be negative (below zero);
- <FIX> Confirmation Popup - Fixed saving action;
- <FIX> SmartBar - Disabled color tool for button element (has separate text color options in the editor sidebar);
- <FIX> Minor fix for the global block height value;

- V 1.3: <DATE: 23.05.2019>
- <NEW> Added Hover options for Button elements;
- <NEW> Added Sidebar Orientation Switcher;
- <NEW> New Feature - Multi Select (allows manipulating multiple elements at once);

- V 1.2: <DATE: 10.05.2019>
- <NEW> Video element - added self-hosted Video source;
- <NEW> Added functionality for naming Flex Blocks;
- <NEW> Added option to save a Flex Block screenshot upon saving;
- <OTHER> Misc Builder Optimizations;
- <NEW> Added Desktop-only layers to mobile LayerList (used for mobile elements adding);
- <OTHER> Minor UI styling updates;
- <NEW> Added lock layer option;
- <NEW> Added Notification system - will provide notifications when specific actions/events occur (save, screenshots, missing mobile elements etc.);

- V 1.1.2: <DATE: 19.04.2019>
- <FIX> Fixed color picker HEX value inputs (they can now be focused and edited);
- <OTHER> UI interface styles updated;

- V 1.1.1: <DATE: 17.04.2019>
- <FIX> Adjusted mobile video rendering;
- <FIX> Fixed index conflict with sticky headers;

- V 1.1: <DATE: 16.04.2019>
- <NEW> Added Video Element;
- <NEW> Added new Text Editor for Text and Button Elements;
- <OTHER> Various styling changes;
- <NEW> New utility component - Smart Bar;
- <OTHER> Font consistency improvements;

- V 1.0.4: <DATE: 05.04.2019>
- <FIX> Urgent fix for font sizes;

- V 1.0.3: <DATE: 27.03.2019>
- <NEW> Text Element - Added "Clear Formatting" option. Useful when customizations are not applying as expected, resetting and re-applying styles usually helps;
- <FIX> Text and Button Elements - Improvements to responsive font sizing;
- <FIX> Fixed compatibility issue (in some rare cases, the builder would not open);

- V 1.0.2: <DATE: 22.03.2019>
- <OTHER> Text encoding/decoding updates;
- <FIX> Updated rendering for themes that have fixed width options;

- V 1.0.1: <DATE: 19.03.2019>
- <FIX> Updated Theme Google Fonts syncing logic (fixed use-case when ONLY Google Fonts are used);
- <FIX> Fixed issue related to the image uploader being used in multiple builder instances at once;
- <OTHER> Improved desktop and mobile responsive rendering;

- V 1.0.0: <DATE: 18.03.2019>
- <OTHER> Official Launch;